<?php
/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://arc-hive.zone
 * @since             1.0.0
 * @package           arcHIVE_WPPlugin
 *
 * @wordpress-plugin
 * Plugin Name:       arcHIVE WP Plugin for theme support
 * Plugin URI:        https://git.hangar.org/arcHIVE-tech/arc-hive-wordpress-plugin
 * Description:       All the <strong>options</strong> for <strong>arcHIVE website</strong> which do not come by default with Wordpress.
 * Version:           1.1.0
 * Date:              2022 03 14
 * Author:            Jorge - vitrubio.net
 * Author URI:        https://vitrubio.net/
 * License:           GPL-3.0+
 * License URI:       http://www.gnu.org/licenses/gpl-3.0.html
 * Text Domain:       archive-wpplugin
 * Domain Path:       /languages
 */

 /**
 * howto write a pluggin by Wordpress.org
 * https://codex.wordpress.org/Writing_a_Plugin
 * https://developer.wordpress.org/plugins/plugin-basics/best-practices/
 * https://themefoundation.com/wordpress-meta-boxes-guide/
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
//defined( 'ABSPATH' ) or die( 'No script kiddies please!' );


/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'ARCHIVE_WPPLUGIN_VERSION', '1.1.0' );

 /* *
 * define Plugin path
 * https://developer.wordpress.org/reference/functions/plugin_dir_path/#comment-1113
 * * * * * * * * * * * * * * * * * * */
define( 'ARCHIVE_WPPLUGIN_PATH', plugin_dir_path( __FILE__ ) );

include( ARCHIVE_WPPLUGIN_PATH . 'includes/arcHIVE-init-textdomain.php');

include( ARCHIVE_WPPLUGIN_PATH . 'includes/arcHIVE-enable-svg.php');


// disabled for now
// include( ARCHIVE_WPPLUGIN_PATH . 'includes/arcHIVE-delete-capabilities.php');
// include_once( ARCHIVE_WPPLUGIN_PATH . 'includes/arcHIVE-add-roles.php');

if ( is_admin() ) {
    //include_once( plugin_dir_path( __FILE__ ) . 'includes/arcHIVE-admin-stylesheet.php' );
		include( ARCHIVE_WPPLUGIN_PATH . 'includes/arcHIVE-admin-stylesheet.php');
} else {
		//include_once( plugin_dir_path( __FILE__ ) . 'includes/arcHIVE-public-stylesheet.php' );
		include( ARCHIVE_WPPLUGIN_PATH . 'includes/arcHIVE-public-stylesheet.php');
}

include( ARCHIVE_WPPLUGIN_PATH . 'includes/arcHIVE-custom-post-type-resources.php');
